FOPFontFamilyResolverImpl (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.svg.font

## Class FOPFontFamilyResolverImpl

- java.lang.Object
- - org.apache.fop.svg.font.FOPFontFamilyResolverImpl

- All Implemented Interfaces:
    org.apache.batik.bridge.FontFamilyResolver, FOPFontFamilyResolver

      public class FOPFontFamilyResolverImpl
      extends java.lang.Object
      implements FOPFontFamilyResolver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FOPFontFamilyResolverImpl(FontInfo fontInfo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FOPGVTFontFamily` | `getDefault()`
    `FOPGVTFontFamily` | `getFamilyThatCanDisplay(char c)`
    `org.apache.batik.gvt.font.GVTFontFamily` | `loadFont(java.io.InputStream in, org.apache.batik.bridge.FontFace fontFace)`
    `FOPGVTFontFamily` | `resolve(java.lang.String familyName)`
    `FOPGVTFontFamily` | `resolve(java.lang.String familyName, org.apache.batik.bridge.FontFace fontFace)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FOPFontFamilyResolverImpl

          public FOPFontFamilyResolverImpl(FontInfo fontInfo)

  - ### Method Detail

    - #### resolve

          public FOPGVTFontFamily resolve(java.lang.String familyName)

      Specified by:
        `resolve` in interface `org.apache.batik.bridge.FontFamilyResolver`
      Specified by:
        `resolve` in interface `FOPFontFamilyResolver`

    - #### resolve

          public FOPGVTFontFamily resolve(java.lang.String familyName,
                                          org.apache.batik.bridge.FontFace fontFace)

      Specified by:
        `resolve` in interface `org.apache.batik.bridge.FontFamilyResolver`

    - #### loadFont

          public org.apache.batik.gvt.font.GVTFontFamily loadFont(java.io.InputStream in,
                                                                  org.apache.batik.bridge.FontFace fontFace)
                                                           throws java.lang.Exception

      Specified by:
        `loadFont` in interface `org.apache.batik.bridge.FontFamilyResolver`
      Throws:
        `java.lang.Exception`

    - #### getDefault

          public FOPGVTFontFamily getDefault()

      Specified by:
        `getDefault` in interface `org.apache.batik.bridge.FontFamilyResolver`
      Specified by:
        `getDefault` in interface `FOPFontFamilyResolver`

    - #### getFamilyThatCanDisplay

          public FOPGVTFontFamily getFamilyThatCanDisplay(char c)

      Specified by:
        `getFamilyThatCanDisplay` in interface `org.apache.batik.bridge.FontFamilyResolver`
      Specified by:
        `getFamilyThatCanDisplay` in interface `FOPFontFamilyResolver`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.